Skip to main content
GET
/
usage
/
data
/
billing
List total usage by SIM billing period
curl --request GET \
  --url https://dashboard.hologram.io/api/1/usage/data/billing \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "limit": 100,
  "size": 32,
  "continues": false,
  "lastid": "9876543",
  "data": [
    {
      "linkid": 1234560,
      "cur_period_end": "2025-10-11 17:24:43",
      "periods_back": "0",
      "record_id": "22357230",
      "bytes": 503417039
    },
    {
      "linkid": 1234560,
      "cur_period_end": "2025-09-11 17:24:48",
      "periods_back": "1",
      "record_id": "22357231",
      "bytes": 2232757289
    },
    {
      "linkid": 1234561,
      "cur_period_end": "2025-10-03 15:23:55",
      "periods_back": "0",
      "record_id": "18564340",
      "bytes": 798315777
    },
    {
      "linkid": 1234561,
      "cur_period_end": "2025-09-03 15:23:52",
      "periods_back": "1",
      "record_id": "18564342",
      "bytes": 121127
    },
    {
      "linkid": 1234561,
      "cur_period_end": "2025-08-03 15:23:33",
      "periods_back": "2",
      "record_id": "12345670",
      "bytes": 3856700367
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.hologram.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key.

You can find your API key on the Hologram Dashboard under Account Settings.

Query Parameters

orgid
number
required
linkid
number

Single profile (link) ID.

Example:

4567890

linkids
string

Comma-separated list of link (profile) IDs.

Example:

"5389720,5608542"

deviceid
integer
Example:

1363295

deviceids
string

Comma-separated list of device IDs to filter by.

Example:

"4020513,4020514"

notags
boolean
default:false

When true, restrict results to devices/SIMs that have no tags assigned. Cannot be combined with tagid, tagids, and tagname.

tagid
number

Single tag ID.

Example:

101

tagids
string

Comma-separated list of tag IDs.

Example:

"101,102,103"

timestart
integer

Start of time range in Unix epoch seconds format.

Example:

1767225600

timeend
number

End of time range in Unix epoch seconds format.

Example:

1769821199

islive
boolean

Return only activated, active SIMs (e.g. LIVE network states).

limit
integer

Maximum number of items to return in a single request. For endpoints that support pagination, use this with corresponding /pages endpoints to manage large result sets.

Example:

50

Response

200 - application/json

OK